use serde::Deserialize;

#[derive(Clone, Debug, Deserialize)]
pub struct Ref {
    pub r#ref: String,
}

#[derive(Clone, Debug, Deserialize)]
pub struct User {
    pub login: String,
}

#[derive(Clone, Debug, Deserialize)]
pub struct PullRequest {
    pub number: u64,
    pub title: String,
    pub user: User,
    pub base: Ref,
    pub head: Ref,
}
